Create a Payment Token

Create and store a payment token with the appropriate credit/debit card information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Payment tokens are used to replace actual card data sent for processing a transaction. For example, you can store a card token with a customer and/or a subscription contract in your application and use the token to process a payment when required.

Parameters

The following fields are available to create a card token for all keyed/manually input credit/debit cards.

parameterdescriptionrequired
profile_idmerchant supplied customer idNo
cnicknamea nickname that the cardholder would like to saveNo
creditcardthe credit card numberYes
cardfullnamethe cardholder name printed or embossed on the front of the cardYes
monththe card expiration monthYes
yearthe card expiration yearYes
baddressthe card billing street address (AVS)No
bcitythe card billing city nameNo
bstatethe card billing state codeNo
bzipthe card billing zip code (AVS)Yes
cphonethe cardholders phone number (mobile)No
cemailthe cardholders email addressNo
cvvthe card CVV - used for validation purposes only (CVV)No
storeset this to 0 to create a temporary token (much like a payment intent)
if present the default = 1
No
🚧

Note:

Although it is optional to send the parameter, it is recommended to send this parameter along with to adhere to a full AVS check against a card purchase! This eliminates a downgrade fee for only having a partial AVS validation.

JSON Example

The following JSON example provides test values to create a card token with a manually input credit card. You can copy and paste these values in the Body Params section above to be used by the Try It feature

{
  "transaction_data": {
    "creditcard": "5544044490909090",
    "month": "04",
    "year": "19",
    "cardfullname": "Jerry Smith",
    "bzip": "46280",
    "baddress": "26776 Chesterton Drive",
    "bcity": "Indianapolis",
    "bstate": "IN"
  }
}

References

    Link to details on related response codes.
  • [Payment Response Codes](doc:payment-response-codes)
Body Params
transaction_data
object
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json